Update a project integration
curl --request PUT \
--url https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/project/{projectId}/update-integration/{integrationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Tenant-Id: <tenant-id>' \
--data '
{
"env_variables": [
{
"name": "<string>",
"value": "<string>",
"id": "<string>",
"sensitive": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"actor": "<string>"
}
]
}
'import requests
url = "https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/project/{projectId}/update-integration/{integrationId}"
payload = { "env_variables": [
{
"name": "<string>",
"value": "<string>",
"id": "<string>",
"sensitive": True,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"actor": "<string>"
}
] }
headers = {
"Tenant-Id": "<tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Tenant-Id': '<tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
env_variables: [
{
name: '<string>',
value: '<string>',
id: '<string>',
sensitive: true,
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z',
actor: '<string>'
}
]
})
};
fetch('https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/project/{projectId}/update-integration/{integrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"updated"{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}Projects
Update a project integration
PUT
/
project
/
{projectId}
/
update-integration
/
{integrationId}
Update a project integration
Authorizations
BearerAuthApiKeyAuth
Bearer token in the Authorization header (e.g. JWT / Cognito access token).
Headers
ID of the tenant (current tenant context).
Path Parameters
Project identifier.
Integration identifier.
Body
application/json
Show child attributes
Show child attributes
Response
OK
The response is of type string.
Example:
"updated"